%define version 0.7.5
%define release 1mdk

# printing support, note that libfo (xmlroff) is not in PLF yet
%define enable_printing 0
%{?_with_printing: %global enable_printing 1}

Summary:	A structural XML document editor
Name:		conglomerate
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Editors
URL:		http://www.conglomerate.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png
Source2:	%{name}-32.png
# (Abel) 0.7.4-1mdk Fix path of faq XML file in document
Patch0:		%{name}-0.7.4-faqref.patch.bz2

BuildRequires:	gtksourceview-devel >= 0.6
BuildRequires:	libgnomeui2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libglade2.0-devel >= 2.0.0
BuildRequires:	scrollkeeper
BuildRequires:  gtk-doc
%if %enable_printing
BuildRequires:	libgnomeprintui-2-2-devel
BuildRequires:	libfo-devel >= 0.2.3
%endif
Prereq:		scrollkeeper
Prereq:		yelp

%description
Conglomerate is an XML editor for GNOME, aiming to be as user-friendly as
possible, to help non-technical people to use DocBook and similar formats.


%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--enable-printing=%{?_with_printing:"yes"}%{!?_with_printing:"no"}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/conglomerate" \
 icon="%{name}.png" \
 longtitle="Edit XML files" \
 needs="x11" \
 section="Applications/Editors" \
 title="Conglomerate XML Editor"
_EOF_

install -D pixmaps/conglomerate-icon-16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D %{SOURCE1} %{buildroot}%{_liconsdir}/%{name}.png
install -D %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png

install -m 0644 doc/C/faq.xml %{buildroot}%{_datadir}/gnome/help/%{name}/C/faq.xml

%{find_lang} %{name} --with-gnome

touch %{buildroot}%{_datadir}/gnome/help/%{name}/C/%{name}.html


%clean
rm -rf %{buildroot}

%post
%{update_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
#gw shut up, rpmlint:
touch %_datadir/gnome/help/conglomerate/C/conglomerate.html
yelp-pregenerate %{_datadir}/gnome/help/%{name}/C/%{name}.xml > /dev/null

%postun
%{clean_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%doc %_datadir/gtk-doc/html/conglomerate
%ghost %{_datadir}/gnome/help/%{name}/C/%{name}.html

%changelog
* Wed Oct  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- fix rpmlint warning
- add gtk-doc docs
- fix changelog (Abel Cheung, can you please use ISO-8859-1 next time?)
- new version

* Mon Sep 29 2003 Abel Cheung <deaddog@deaddog.org> 0.7.4-1mdk
- 0.7.4
- Patch0: Fix path of faq XML file in document
- Convert this spec to UTF-8
- Fix doc pre-generation

* Tue Sep 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- new version

* Mon Sep 22 2003 Abel Cheung <deaddog@deaddog.org> 0.7.2-4mdk
- Generate help file cache
- Register help document with scrollkeeper

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-3mdk
- fix buildrequires

* Sat Sep 20 2003 Abel Cheung <deaddog@deaddog.org> 0.7.2-2mdk
- spec tweaks

* Fri Sep 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.2-1mdk
- update

* Mon Aug 11 2003 Abel Cheung <maddog@linux.org.hk> 0.5.4-1mdk
- First Mandrake spec
